Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.decode
Class LZWDecode

    java.lang.Object
      com.sun.pdfview.decode.LZWDecode

    public class LZWDecode

extends java.lang.Object

decode an LZW-encoded array of bytes. LZW is a patented algorithm.

Feb 21, 2009 Legal statement on Intellectual Property from Unisys

     LZW Patent Information (http://www.unisys.com/about__unisys/lzw)
     License Information on GIF and Other LZW-based Technologies

     Unisys U.S. LZW Patent No. 4,558,302 expired on June 20, 2003,
     the counterpart patents in the United Kingdom, France, Germany and
     Italy expired on June 18, 2004, the Japanese counterpart patents
     expired on June 20, 2004 and the counterpart Canadian patent
     expired on July 7, 2004.

     Unisys Corporation holds and has patents pending on a number of
     improvements on the inventions claimed in the above-expired patents.
     Information on these improvement patents and terms under which they
     may be licensed can be obtained by contacting the following:

     Unisys Corporation
     Welch Patent Licensing Department
     Mail Stop E8-114
     Unisys Way
     Blue Bell, PA  19424

     Via the Internet, send email to Robert.Marley@unisys.com.

     Via facsimile, send inquiries to Welch Patent Licensing Department at
     215-986-3090.

     The above is presented for information purposes only, and is subject
     to change by Unisys.  Additionally, this information should not be
     considered as legally obligating Unisys in any way with regard to license
     availability, or as to the terms and conditions offered for a license,
     or with regard to the interpretation of any license agreements.
     You should consult with your own legal counsel regarding your
     particular situation.

Method Summary
`static java.nio.ByteBuffer` | `decode(java.nio.ByteBuffer buf, PDFObject params)` decode an array of LZW-encoded bytes to a byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decode

    public static java.nio.ByteBuffer decode(java.nio.ByteBuffer buf,
                                             PDFObject params)
                                      throws java.io.IOException

  decode an array of LZW-encoded bytes to a byte array.

  Parameters:
    `buf` - the buffer of encoded bytes
    `params` - parameters for the decoder (unused)
  Returns:
    the decoded uncompressed bytes
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD